import { Module } from '@nestjs/common';
import { CqrsModule } from '@nestjs/cqrs';
import { ScheduleModule } from '@nestjs/schedule';
import { AppService } from './app.service';
import { TestHandler } from './test.handler';
import { TestSaga } from './test.saga';

@Module({
  imports: [ScheduleModule.forRoot(), CqrsModule],
  providers: [AppService, TestSaga, TestHandler],
})
export class AppModule {}
